<template>
    <div class="yunwei">
        <div class="yunwei-item" v-for="(item, index) in data" :key="index">
            <WarnItem :data="item"/>
        </div>
    </div>
</template>

<script setup>
import {onBeforeMount, ref} from "vue";
import WarnItem from "./components/warnItem.vue";

const data = ref([
    {
        name: '下瓦房新风井泵房',
        warnNum: 400,
        historyData: { xdata: ['一月', '二月', '三月'], sdata: [60, 53, 38] },
        warnData: [
            { value: 888, name: '出水压力异常' },
            { value: 635, name: '进水压力异常' },
            { value: 422, name: '设备启动异常' },
        ],
        orderNum: 23,
        xunjian:{
            status: 1,
            time: '2025/2/12'
        },
        baoyang: {
            status: 0,
            time: '2025/1/1'
        },
        weixiu: {
            status: 2,
            time: '2025/3/8'
        }
    },
    {
        name: '文化中心新风井泵房',
        warnNum: 338,
        historyData: { xdata: ['一月', '二月', '三月'], sdata: [43, 58, 36] },
        warnData: [
            { value: 638, name: '出水压力异常' },
            { value: 432, name: '进水压力异常' },
            { value: 551, name: '设备启动异常' },
        ],
        orderNum: 38,
        xunjian:{
            status: 2,
            time: '2025/2/28'
        },
        baoyang: {
            status: 1,
            time: '2025/2/18'
        },
        weixiu: {
            status: 2,
            time: '2025/3/8'
        }
    },
     {
        name: '医院新风井泵房',
        warnNum: 132,
        historyData: { xdata: ['一月', '二月', '三月'], sdata: [28, 32, 18] },
        warnData: [
            { value: 382, name: '出水压力异常' },
            { value: 302, name: '进水压力异常' },
            { value: 251, name: '设备启动异常' },
        ],
        orderNum: 20,
        xunjian:{
            status: 1,
            time: '2025/2/28'
        },
        baoyang: {
            status: 2,
            time: '2025/3/2'
        },
        weixiu: {
            status: 0,
            time: '2025/1/11'
        }
    },
     {
        name: '新风井泵房 ',
        warnNum: 201,
        historyData: { xdata: ['一月', '二月', '三月'], sdata: [33, 30, 24] },
        warnData: [
            { value: 207, name: '出水压力异常' },
            { value: 351, name: '进水压力异常' },
            { value: 231, name: '设备启动异常' },
        ],
        orderNum: 32,
        xunjian:{
            status: 1,
            time: '2025/2/13'
        },
        baoyang: {
            status: 0,
            time: '2025/1/15'
        },
        weixiu: {
            status: 2,
            time: '2025/3/15'
        }
    },
])

</script>

<style lang="scss" scoped>
.yunwei{
    width: 100%;
    height: 100%;
    display: flex;
    gap: 1.5rem;
    flex-wrap: nowrap;
    overflow-x: scroll;
    &::-webkit-scrollbar{
        display: none;
    }
    &-item {
        width: 24%;
        height: 100%;
        flex-shrink: 0;
    }
}
</style>